Bug 1284473 - RFE: [Director] [OOB] KSM Is not enabled by default on overcloud deployment
RFE: [Director] [OOB] KSM Is not enabled by default on overcloud deployment
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Hugh Brock
Udi Shkalim
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 07:35 EST by Udi Shkalim
Modified: 2017-01-15 13:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-15 13:42:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udi Shkalim 2015-11-23 07:35:42 EST
Description of problem:
KSM is not enabled by default on overcloud nodes

Version-Release number of selected component (if applicable):
osp director 8

How reproducible:
100%

Steps to Reproduce:
On a deployed overcloud run the following commands 
1. cat /sys/kernel/mm/ksm/run
2. grep -H '' /sys/kernel/mm/ksm/pages_*
3. systemctl status ksm

Actual results:

# cat /sys/kernel/mm/ksm/run
0
# grep -H '' /sys/kernel/mm/ksm/pages_*
/sys/kernel/mm/ksm/pages_shared:0
/sys/kernel/mm/ksm/pages_sharing:0
/sys/kernel/mm/ksm/pages_to_scan:100
/sys/kernel/mm/ksm/pages_unshared:0
/sys/kernel/mm/ksm/pages_volatile:0
# systemctl status ksm
● ksm.service - Kernel Samepage Merging
   Loaded: loaded (/usr/lib/systemd/system/ksm.service; enabled; vendor preset: enabled)
   Active: active (exited) since Fri 2015-11-20 12:43:50 EST; 2 days ago
 Main PID: 823 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/ksm.service



Expected results:

[root@overcloud-controller-2 keystone]# cat /sys/kernel/mm/ksm/run
1
[root@overcloud-controller-2 keystone]# grep -H '' /sys/kernel/mm/ksm/pages_*
/sys/kernel/mm/ksm/pages_shared:48911
/sys/kernel/mm/ksm/pages_sharing:90090
/sys/kernel/mm/ksm/pages_to_scan:100
/sys/kernel/mm/ksm/pages_unshared:123002
/sys/kernel/mm/ksm/pages_volatile:1035

non-zero values

Additional info:
Comment 2 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 3 Jaromir Coufal 2016-09-30 04:10:06 EDT
Why is this needed? What is the impact for a user?
Comment 4 Jaromir Coufal 2017-01-15 13:42:01 EST
Not enough info. Please re-open if still valid or needed.

Note You need to log in before you can comment on or make changes to this bug.